package com.chinaitop.depot.basic.mapper;

import com.chinaitop.depot.basic.model.BasicUnitAisle;
import com.chinaitop.depot.basic.model.BasicUnitAisleExample;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface BasicUnitAisleMapper {

    List<BasicUnitAisle> getUnitAisleList(Map<String, Object> map);

    BasicUnitAisle findByUnitAisle(Integer id);

    int insert(BasicUnitAisle record);

    int updateByPrimaryKey(BasicUnitAisle record);

    List<BasicUnitAisle> selectUnitAisleList1(Map<String, Object> map);

	List<BasicUnitAisle> selectByExample(BasicUnitAisleExample example);

	void updateDelFlagByCfId(Integer storehouseId);

	Map<String, Object> getAjGjjDate(Integer id);


    List<BasicUnitAisle> selectAllTyajbm(@Param("tyajbm") String tyajbm);

    void delFlagByCfId(Integer storehouseId);
}
