package com.chinaitop.depot.basic.service;

import com.alibaba.fastjson.JSONObject;
import com.chinaitop.depot.basic.model.BasicUnitAisle;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

public interface BasicUnitAisleService {
    /**
     * 按条件查询数据
     *
     * @param map
     * @return
     * @throws Exception
     */
    public List<BasicUnitAisle> getList(Map<String, Object> map) throws Exception;



    public BasicUnitAisle findByUnitAisle(Integer id);




    /**
     * 更新廒间信息
     *
     * @param storehouseJson
     * @param userInfo
     * @return
     * @throws Exception
     */
    public Map<String, Object> saveOrUpdate(HttpServletRequest request,String storehouseJson,String userInfo) throws Exception;


    public void updateBasicStorehouse(BasicUnitAisle basicUnitAisle);



	public Map<String, Object> getAisleInfo(Integer unitId, Integer storehouseId);



	public String importData(List<List<String>> list, JSONObject user);



	public void updateDelFlagById(Integer storehouseId);



	public Map<String, Object> getAjGjjDate(Integer id);
	


}
