package com.chinaitop.depot.basic.model;


import com.fasterxml.jackson.annotation.JsonFormat;

import java.math.BigDecimal;
import java.util.Date;

public class BasicUnitAisle {

	
	private Integer orgId;
	

	public Integer getOrgId() {
		return orgId;
	}

	public void setOrgId(Integer orgId) {
		this.orgId = orgId;
	}

	private Integer id;
    private Integer basicStorehouseId; //仓房id
    private String ajdh;
    private String tyajbm; //统一廒间编码
    private String ajmc; //廒间名称
    private String cfbh;  //廒间(或油罐)编码，关联廒间或油罐表
    private BigDecimal ajcd; //廒间长度
    private BigDecimal ajkd;  //廒间宽度
    private BigDecimal ajgd;  //廒间宽度
    private BigDecimal ajsjcr; //廒间设计仓容
    private Integer ajzt; //廒间状态，1:完好，2:需小修，3:需大修，4:待报废，5:待拆除，6:死角仓，9:其他
    private Date ajqyrq; //廒间启用日期
    private String czbz;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date zhgxsj;
    private String createname;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date createdate;
    private String updatename;
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updatedate;

    private String storehouseName;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getBasicStorehouseId() {
        return basicStorehouseId;
    }

    public void setBasicStorehouseId(Integer basicStorehouseId) {
        this.basicStorehouseId = basicStorehouseId;
    }

    public String getAjdh() {
        return ajdh;
    }

    public void setAjdh(String ajdh) {
        this.ajdh = ajdh;
    }

    public String getTyajbm() {
        return tyajbm;
    }

    public void setTyajbm(String tyajbm) {
        this.tyajbm = tyajbm;
    }

    public String getAjmc() {
        return ajmc;
    }

    public void setAjmc(String ajmc) {
        this.ajmc = ajmc;
    }

    public String getCfbh() {
        return cfbh;
    }

    public void setCfbh(String cfbh) {
        this.cfbh = cfbh;
    }

    public BigDecimal getAjcd() {
        return ajcd;
    }

    public void setAjcd(BigDecimal ajcd) {
        this.ajcd = ajcd;
    }

    public BigDecimal getAjkd() {
        return ajkd;
    }

    public void setAjkd(BigDecimal ajkd) {
        this.ajkd = ajkd;
    }

    public BigDecimal getAjgd() {
        return ajgd;
    }

    public void setAjgd(BigDecimal ajgd) {
        this.ajgd = ajgd;
    }

    public BigDecimal getAjsjcr() {
        return ajsjcr;
    }

    public void setAjsjcr(BigDecimal ajsjcr) {
        this.ajsjcr = ajsjcr;
    }

    public Integer getAjzt() {
        return ajzt;
    }

    public void setAjzt(Integer ajzt) {
        this.ajzt = ajzt;
    }

    public Date getAjqyrq() {
        return ajqyrq;
    }

    public void setAjqyrq(Date ajqyrq) {
        this.ajqyrq = ajqyrq;
    }

    public String getCzbz() {
        return czbz;
    }

    public void setCzbz(String czbz) {
        this.czbz = czbz;
    }

    public Date getZhgxsj() {
        return zhgxsj;
    }

    public void setZhgxsj(Date zhgxsj) {
        this.zhgxsj = zhgxsj;
    }

    public String getCreatename() {
        return createname;
    }

    public void setCreatename(String createname) {
        this.createname = createname;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public String getUpdatename() {
        return updatename;
    }

    public void setUpdatename(String updatename) {
        this.updatename = updatename;
    }

    public Date getUpdatedate() {
        return updatedate;
    }

    public void setUpdatedate(Date updatedate) {
        this.updatedate = updatedate;
    }

    public String getStorehouseName() {
        return storehouseName;
    }

    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName;
    }
}
